Skip to navigation

Control virtual machine power state

Start, stop, or reboot a virtual machine

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the virtual machine

Query parameters

actionenumRequired
Power action to perform
Allowed values:
forcebooleanOptional

Whether to force the action (applicable for stop and reboot actions)

Response

The power action has been initiated
idstringformat: "uuid"
Virtual machine ID.
statusenum
Transitional state the VM is moving into.
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error